/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1




/* First part of user prologue.  */
#line 21 "servparse.y"

#include "dictd.h"
#include "strategy.h"
#include "index.h"
#include "data.h"
#include "maa.h"
#include "lexparse.h"

#define YYDEBUG 1
#define YYERROR_VERBOSE

static dictDatabase *db;

static int string2bool (const char *str)
{
   if (
      !strcasecmp ("1", str)
      || !strcasecmp ("true", str)
      || !strcasecmp ("yes", str))
   {
      return 1;
   }else{
      return 0;
   }
}

#define SET(field,s,t) do {                                   \
   if (db->field)                                             \
      src_parse_error( stderr, s.src, #field "already set" ); \
   db->field = t.string;                                      \
} while(0);

#line 104 "y.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

/* Use api.header.include to #include this header
   instead of duplicating it here.  */
#ifndef YY_YY_Y_TAB_H_INCLUDED
# define YY_YY_Y_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token kinds.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    YYEMPTY = -2,
    YYEOF = 0,                     /* "end of file"  */
    YYerror = 256,                 /* error  */
    YYUNDEF = 257,                 /* "invalid token"  */
    TOKEN_NUMBER = 258,            /* TOKEN_NUMBER  */
    TOKEN_ACCESS = 259,            /* TOKEN_ACCESS  */
    TOKEN_ALLOW = 260,             /* TOKEN_ALLOW  */
    TOKEN_DENY = 261,              /* TOKEN_DENY  */
    TOKEN_GROUP = 262,             /* TOKEN_GROUP  */
    TOKEN_DATABASE = 263,          /* TOKEN_DATABASE  */
    TOKEN_DATA = 264,              /* TOKEN_DATA  */
    TOKEN_INDEX = 265,             /* TOKEN_INDEX  */
    TOKEN_INDEX_SUFFIX = 266,      /* TOKEN_INDEX_SUFFIX  */
    TOKEN_INDEX_WORD = 267,        /* TOKEN_INDEX_WORD  */
    TOKEN_FILTER = 268,            /* TOKEN_FILTER  */
    TOKEN_PREFILTER = 269,         /* TOKEN_PREFILTER  */
    TOKEN_POSTFILTER = 270,        /* TOKEN_POSTFILTER  */
    TOKEN_NAME = 271,              /* TOKEN_NAME  */
    TOKEN_INFO = 272,              /* TOKEN_INFO  */
    TOKEN_USER = 273,              /* TOKEN_USER  */
    TOKEN_AUTHONLY = 274,          /* TOKEN_AUTHONLY  */
    TOKEN_DATABASE_EXIT = 275,     /* TOKEN_DATABASE_EXIT  */
    TOKEN_SITE = 276,              /* TOKEN_SITE  */
    TOKEN_SITE_NO_BANNER = 277,    /* TOKEN_SITE_NO_BANNER  */
    TOKEN_SITE_NO_UPTIME = 278,    /* TOKEN_SITE_NO_UPTIME  */
    TOKEN_SITE_NO_DBLIST = 279,    /* TOKEN_SITE_NO_DBLIST  */
    TOKEN_STRING = 280,            /* TOKEN_STRING  */
    TOKEN_INVISIBLE = 281,         /* TOKEN_INVISIBLE  */
    TOKEN_DISABLE_STRAT = 282,     /* TOKEN_DISABLE_STRAT  */
    TOKEN_DATABASE_VIRTUAL = 283,  /* TOKEN_DATABASE_VIRTUAL  */
    TOKEN_DATABASE_LIST = 284,     /* TOKEN_DATABASE_LIST  */
    TOKEN_DATABASE_PLUGIN = 285,   /* TOKEN_DATABASE_PLUGIN  */
    TOKEN_PLUGIN = 286,            /* TOKEN_PLUGIN  */
    TOKEN_DATABASE_MIME = 287,     /* TOKEN_DATABASE_MIME  */
    TOKEN_DEFAULT_STRAT = 288,     /* TOKEN_DEFAULT_STRAT  */
    TOKEN_GLOBAL = 289,            /* TOKEN_GLOBAL  */
    TOKEN_PORT = 290,              /* TOKEN_PORT  */
    TOKEN_DELAY = 291,             /* TOKEN_DELAY  */
    TOKEN_DEPTH = 292,             /* TOKEN_DEPTH  */
    TOKEN_TIMESTAMP = 293,         /* TOKEN_TIMESTAMP  */
    TOKEN_LOG_OPTION = 294,        /* TOKEN_LOG_OPTION  */
    TOKEN_DEBUG_OPTION = 295,      /* TOKEN_DEBUG_OPTION  */
    TOKEN_LOCALE = 296,            /* TOKEN_LOCALE  */
    TOKEN_ADD_STRAT = 297,         /* TOKEN_ADD_STRAT  */
    TOKEN_LISTEN_TO = 298,         /* TOKEN_LISTEN_TO  */
    TOKEN_ADDRESS_FAMILY = 299,    /* TOKEN_ADDRESS_FAMILY  */
    TOKEN_SYSLOG = 300,            /* TOKEN_SYSLOG  */
    TOKEN_SYSLOG_FACILITY = 301,   /* TOKEN_SYSLOG_FACILITY  */
    TOKEN_LOG_FILE = 302,          /* TOKEN_LOG_FILE  */
    TOKEN_PID_FILE = 303,          /* TOKEN_PID_FILE  */
    TOKEN_FAST_START = 304,        /* TOKEN_FAST_START  */
    TOKEN_WITHOUT_MMAP = 305,      /* TOKEN_WITHOUT_MMAP  */
    TOKEN_LIMIT_CHILDS = 306,      /* TOKEN_LIMIT_CHILDS  */
    TOKEN_LIMIT_MATCHES = 307,     /* TOKEN_LIMIT_MATCHES  */
    TOKEN_LIMIT_DEFS = 308,        /* TOKEN_LIMIT_DEFS  */
    TOKEN_LIMIT_TIME = 309,        /* TOKEN_LIMIT_TIME  */
    TOKEN_LIMIT_QUERIES = 310,     /* TOKEN_LIMIT_QUERIES  */
    TOKEN_MIME_DBNAME = 311,       /* TOKEN_MIME_DBNAME  */
    TOKEN_NOMIME_DBNAME = 312      /* TOKEN_NOMIME_DBNAME  */
  };
  typedef enum yytokentype yytoken_kind_t;
#endif
/* Token kinds.  */
#define YYEMPTY -2
#define YYEOF 0
#define YYerror 256
#define YYUNDEF 257
#define TOKEN_NUMBER 258
#define TOKEN_ACCESS 259
#define TOKEN_ALLOW 260
#define TOKEN_DENY 261
#define TOKEN_GROUP 262
#define TOKEN_DATABASE 263
#define TOKEN_DATA 264
#define TOKEN_INDEX 265
#define TOKEN_INDEX_SUFFIX 266
#define TOKEN_INDEX_WORD 267
#define TOKEN_FILTER 268
#define TOKEN_PREFILTER 269
#define TOKEN_POSTFILTER 270
#define TOKEN_NAME 271
#define TOKEN_INFO 272
#define TOKEN_USER 273
#define TOKEN_AUTHONLY 274
#define TOKEN_DATABASE_EXIT 275
#define TOKEN_SITE 276
#define TOKEN_SITE_NO_BANNER 277
#define TOKEN_SITE_NO_UPTIME 278
#define TOKEN_SITE_NO_DBLIST 279
#define TOKEN_STRING 280
#define TOKEN_INVISIBLE 281
#define TOKEN_DISABLE_STRAT 282
#define TOKEN_DATABASE_VIRTUAL 283
#define TOKEN_DATABASE_LIST 284
#define TOKEN_DATABASE_PLUGIN 285
#define TOKEN_PLUGIN 286
#define TOKEN_DATABASE_MIME 287
#define TOKEN_DEFAULT_STRAT 288
#define TOKEN_GLOBAL 289
#define TOKEN_PORT 290
#define TOKEN_DELAY 291
#define TOKEN_DEPTH 292
#define TOKEN_TIMESTAMP 293
#define TOKEN_LOG_OPTION 294
#define TOKEN_DEBUG_OPTION 295
#define TOKEN_LOCALE 296
#define TOKEN_ADD_STRAT 297
#define TOKEN_LISTEN_TO 298
#define TOKEN_ADDRESS_FAMILY 299
#define TOKEN_SYSLOG 300
#define TOKEN_SYSLOG_FACILITY 301
#define TOKEN_LOG_FILE 302
#define TOKEN_PID_FILE 303
#define TOKEN_FAST_START 304
#define TOKEN_WITHOUT_MMAP 305
#define TOKEN_LIMIT_CHILDS 306
#define TOKEN_LIMIT_MATCHES 307
#define TOKEN_LIMIT_DEFS 308
#define TOKEN_LIMIT_TIME 309
#define TOKEN_LIMIT_QUERIES 310
#define TOKEN_MIME_DBNAME 311
#define TOKEN_NOMIME_DBNAME 312

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
union YYSTYPE
{
#line 54 "servparse.y"

   dictToken     token;
   dictDatabase  *db;
   dictAccess    *access;
   lst_List      list;
   hsh_HashTable hash;

#line 279 "y.tab.c"

};
typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;


int yyparse (void);


#endif /* !YY_YY_Y_TAB_H_INCLUDED  */
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_TOKEN_NUMBER = 3,               /* TOKEN_NUMBER  */
  YYSYMBOL_4_ = 4,                         /* '{'  */
  YYSYMBOL_5_ = 5,                         /* '}'  */
  YYSYMBOL_TOKEN_ACCESS = 6,               /* TOKEN_ACCESS  */
  YYSYMBOL_TOKEN_ALLOW = 7,                /* TOKEN_ALLOW  */
  YYSYMBOL_TOKEN_DENY = 8,                 /* TOKEN_DENY  */
  YYSYMBOL_TOKEN_GROUP = 9,                /* TOKEN_GROUP  */
  YYSYMBOL_TOKEN_DATABASE = 10,            /* TOKEN_DATABASE  */
  YYSYMBOL_TOKEN_DATA = 11,                /* TOKEN_DATA  */
  YYSYMBOL_TOKEN_INDEX = 12,               /* TOKEN_INDEX  */
  YYSYMBOL_TOKEN_INDEX_SUFFIX = 13,        /* TOKEN_INDEX_SUFFIX  */
  YYSYMBOL_TOKEN_INDEX_WORD = 14,          /* TOKEN_INDEX_WORD  */
  YYSYMBOL_TOKEN_FILTER = 15,              /* TOKEN_FILTER  */
  YYSYMBOL_TOKEN_PREFILTER = 16,           /* TOKEN_PREFILTER  */
  YYSYMBOL_TOKEN_POSTFILTER = 17,          /* TOKEN_POSTFILTER  */
  YYSYMBOL_TOKEN_NAME = 18,                /* TOKEN_NAME  */
  YYSYMBOL_TOKEN_INFO = 19,                /* TOKEN_INFO  */
  YYSYMBOL_TOKEN_USER = 20,                /* TOKEN_USER  */
  YYSYMBOL_TOKEN_AUTHONLY = 21,            /* TOKEN_AUTHONLY  */
  YYSYMBOL_TOKEN_DATABASE_EXIT = 22,       /* TOKEN_DATABASE_EXIT  */
  YYSYMBOL_TOKEN_SITE = 23,                /* TOKEN_SITE  */
  YYSYMBOL_TOKEN_SITE_NO_BANNER = 24,      /* TOKEN_SITE_NO_BANNER  */
  YYSYMBOL_TOKEN_SITE_NO_UPTIME = 25,      /* TOKEN_SITE_NO_UPTIME  */
  YYSYMBOL_TOKEN_SITE_NO_DBLIST = 26,      /* TOKEN_SITE_NO_DBLIST  */
  YYSYMBOL_TOKEN_STRING = 27,              /* TOKEN_STRING  */
  YYSYMBOL_TOKEN_INVISIBLE = 28,           /* TOKEN_INVISIBLE  */
  YYSYMBOL_TOKEN_DISABLE_STRAT = 29,       /* TOKEN_DISABLE_STRAT  */
  YYSYMBOL_TOKEN_DATABASE_VIRTUAL = 30,    /* TOKEN_DATABASE_VIRTUAL  */
  YYSYMBOL_TOKEN_DATABASE_LIST = 31,       /* TOKEN_DATABASE_LIST  */
  YYSYMBOL_TOKEN_DATABASE_PLUGIN = 32,     /* TOKEN_DATABASE_PLUGIN  */
  YYSYMBOL_TOKEN_PLUGIN = 33,              /* TOKEN_PLUGIN  */
  YYSYMBOL_TOKEN_DATABASE_MIME = 34,       /* TOKEN_DATABASE_MIME  */
  YYSYMBOL_TOKEN_DEFAULT_STRAT = 35,       /* TOKEN_DEFAULT_STRAT  */
  YYSYMBOL_TOKEN_GLOBAL = 36,              /* TOKEN_GLOBAL  */
  YYSYMBOL_TOKEN_PORT = 37,                /* TOKEN_PORT  */
  YYSYMBOL_TOKEN_DELAY = 38,               /* TOKEN_DELAY  */
  YYSYMBOL_TOKEN_DEPTH = 39,               /* TOKEN_DEPTH  */
  YYSYMBOL_TOKEN_TIMESTAMP = 40,           /* TOKEN_TIMESTAMP  */
  YYSYMBOL_TOKEN_LOG_OPTION = 41,          /* TOKEN_LOG_OPTION  */
  YYSYMBOL_TOKEN_DEBUG_OPTION = 42,        /* TOKEN_DEBUG_OPTION  */
  YYSYMBOL_TOKEN_LOCALE = 43,              /* TOKEN_LOCALE  */
  YYSYMBOL_TOKEN_ADD_STRAT = 44,           /* TOKEN_ADD_STRAT  */
  YYSYMBOL_TOKEN_LISTEN_TO = 45,           /* TOKEN_LISTEN_TO  */
  YYSYMBOL_TOKEN_ADDRESS_FAMILY = 46,      /* TOKEN_ADDRESS_FAMILY  */
  YYSYMBOL_TOKEN_SYSLOG = 47,              /* TOKEN_SYSLOG  */
  YYSYMBOL_TOKEN_SYSLOG_FACILITY = 48,     /* TOKEN_SYSLOG_FACILITY  */
  YYSYMBOL_TOKEN_LOG_FILE = 49,            /* TOKEN_LOG_FILE  */
  YYSYMBOL_TOKEN_PID_FILE = 50,            /* TOKEN_PID_FILE  */
  YYSYMBOL_TOKEN_FAST_START = 51,          /* TOKEN_FAST_START  */
  YYSYMBOL_TOKEN_WITHOUT_MMAP = 52,        /* TOKEN_WITHOUT_MMAP  */
  YYSYMBOL_TOKEN_LIMIT_CHILDS = 53,        /* TOKEN_LIMIT_CHILDS  */
  YYSYMBOL_TOKEN_LIMIT_MATCHES = 54,       /* TOKEN_LIMIT_MATCHES  */
  YYSYMBOL_TOKEN_LIMIT_DEFS = 55,          /* TOKEN_LIMIT_DEFS  */
  YYSYMBOL_TOKEN_LIMIT_TIME = 56,          /* TOKEN_LIMIT_TIME  */
  YYSYMBOL_TOKEN_LIMIT_QUERIES = 57,       /* TOKEN_LIMIT_QUERIES  */
  YYSYMBOL_TOKEN_MIME_DBNAME = 58,         /* TOKEN_MIME_DBNAME  */
  YYSYMBOL_TOKEN_NOMIME_DBNAME = 59,       /* TOKEN_NOMIME_DBNAME  */
  YYSYMBOL_YYACCEPT = 60,                  /* $accept  */
  YYSYMBOL_Program = 61,                   /* Program  */
  YYSYMBOL_Global = 62,                    /* Global  */
  YYSYMBOL_GlobalSpecList = 63,            /* GlobalSpecList  */
  YYSYMBOL_GlobalSpec = 64,                /* GlobalSpec  */
  YYSYMBOL_Access = 65,                    /* Access  */
  YYSYMBOL_DatabaseList = 66,              /* DatabaseList  */
  YYSYMBOL_AccessSpecList = 67,            /* AccessSpecList  */
  YYSYMBOL_Site = 68,                      /* Site  */
  YYSYMBOL_UserList = 69,                  /* UserList  */
  YYSYMBOL_AccessSpec = 70,                /* AccessSpec  */
  YYSYMBOL_Database = 71,                  /* Database  */
  YYSYMBOL_72_1 = 72,                      /* $@1  */
  YYSYMBOL_73_2 = 73,                      /* $@2  */
  YYSYMBOL_74_3 = 74,                      /* $@3  */
  YYSYMBOL_75_4 = 75,                      /* $@4  */
  YYSYMBOL_SpecList_virtual = 76,          /* SpecList_virtual  */
  YYSYMBOL_Spec_virtual = 77,              /* Spec_virtual  */
  YYSYMBOL_SpecList_plugin = 78,           /* SpecList_plugin  */
  YYSYMBOL_SpecList_mime = 79,             /* SpecList_mime  */
  YYSYMBOL_Spec_mime = 80,                 /* Spec_mime  */
  YYSYMBOL_Spec_plugin = 81,               /* Spec_plugin  */
  YYSYMBOL_SpecList = 82,                  /* SpecList  */
  YYSYMBOL_Spec = 83,                      /* Spec  */
  YYSYMBOL_Spec__access = 84,              /* Spec__access  */
  YYSYMBOL_Spec__data = 85,                /* Spec__data  */
  YYSYMBOL_Spec__index = 86,               /* Spec__index  */
  YYSYMBOL_Spec__index_suffix = 87,        /* Spec__index_suffix  */
  YYSYMBOL_Spec__index_word = 88,          /* Spec__index_word  */
  YYSYMBOL_Spec__filter = 89,              /* Spec__filter  */
  YYSYMBOL_Spec__prefilter = 90,           /* Spec__prefilter  */
  YYSYMBOL_Spec__postfilter = 91,          /* Spec__postfilter  */
  YYSYMBOL_Spec__name = 92,                /* Spec__name  */
  YYSYMBOL_Spec__info = 93,                /* Spec__info  */
  YYSYMBOL_Spec__invisible = 94,           /* Spec__invisible  */
  YYSYMBOL_Spec__disable_strat = 95,       /* Spec__disable_strat  */
  YYSYMBOL_Spec__default_strat = 96,       /* Spec__default_strat  */
  YYSYMBOL_Spec__dbname_mime = 97,         /* Spec__dbname_mime  */
  YYSYMBOL_Spec__dbname_nomime = 98        /* Spec__dbname_nomime  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_uint8 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if !defined yyoverflow

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* !defined yyoverflow */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  5
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   255

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  60
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  39
/* YYNRULES -- Number of rules.  */
#define YYNRULES  120
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  196

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   312


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int8 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     4,     2,     5,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     6,
       7,     8,     9,    10,    11,    12,    13,    14,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,   117,   117,   122,   128,   134,   141,   147,   154,   161,
     172,   173,   176,   177,   180,   185,   194,   199,   203,   207,
     215,   222,   227,   232,   236,   240,   245,   249,   254,   261,
     265,   270,   275,   279,   283,   289,   302,   306,   313,   319,
     325,   329,   335,   338,   339,   342,   343,   346,   353,   357,
     361,   368,   375,   382,   392,   391,   401,   400,   410,   409,
     419,   418,   427,   438,   439,   442,   443,   444,   445,   446,
     447,   450,   451,   454,   455,   458,   459,   460,   461,   462,
     463,   464,   465,   468,   469,   470,   471,   472,   473,   474,
     475,   478,   479,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   497,   500,   503,   506,
     509,   512,   515,   518,   521,   524,   527,   530,   533,   536,
     539
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if YYDEBUG || 0
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "TOKEN_NUMBER", "'{'",
  "'}'", "TOKEN_ACCESS", "TOKEN_ALLOW", "TOKEN_DENY", "TOKEN_GROUP",
  "TOKEN_DATABASE", "TOKEN_DATA", "TOKEN_INDEX", "TOKEN_INDEX_SUFFIX",
  "TOKEN_INDEX_WORD", "TOKEN_FILTER", "TOKEN_PREFILTER",
  "TOKEN_POSTFILTER", "TOKEN_NAME", "TOKEN_INFO", "TOKEN_USER",
  "TOKEN_AUTHONLY", "TOKEN_DATABASE_EXIT", "TOKEN_SITE",
  "TOKEN_SITE_NO_BANNER", "TOKEN_SITE_NO_UPTIME", "TOKEN_SITE_NO_DBLIST",
  "TOKEN_STRING", "TOKEN_INVISIBLE", "TOKEN_DISABLE_STRAT",
  "TOKEN_DATABASE_VIRTUAL", "TOKEN_DATABASE_LIST", "TOKEN_DATABASE_PLUGIN",
  "TOKEN_PLUGIN", "TOKEN_DATABASE_MIME", "TOKEN_DEFAULT_STRAT",
  "TOKEN_GLOBAL", "TOKEN_PORT", "TOKEN_DELAY", "TOKEN_DEPTH",
  "TOKEN_TIMESTAMP", "TOKEN_LOG_OPTION", "TOKEN_DEBUG_OPTION",
  "TOKEN_LOCALE", "TOKEN_ADD_STRAT", "TOKEN_LISTEN_TO",
  "TOKEN_ADDRESS_FAMILY", "TOKEN_SYSLOG", "TOKEN_SYSLOG_FACILITY",
  "TOKEN_LOG_FILE", "TOKEN_PID_FILE", "TOKEN_FAST_START",
  "TOKEN_WITHOUT_MMAP", "TOKEN_LIMIT_CHILDS", "TOKEN_LIMIT_MATCHES",
  "TOKEN_LIMIT_DEFS", "TOKEN_LIMIT_TIME", "TOKEN_LIMIT_QUERIES",
  "TOKEN_MIME_DBNAME", "TOKEN_NOMIME_DBNAME", "$accept", "Program",
  "Global", "GlobalSpecList", "GlobalSpec", "Access", "DatabaseList",
  "AccessSpecList", "Site", "UserList", "AccessSpec", "Database", "$@1",
  "$@2", "$@3", "$@4", "SpecList_virtual", "Spec_virtual",
  "SpecList_plugin", "SpecList_mime", "Spec_mime", "Spec_plugin",
  "SpecList", "Spec", "Spec__access", "Spec__data", "Spec__index",
  "Spec__index_suffix", "Spec__index_word", "Spec__filter",
  "Spec__prefilter", "Spec__postfilter", "Spec__name", "Spec__info",
  "Spec__invisible", "Spec__disable_strat", "Spec__default_strat",
  "Spec__dbname_mime", "Spec__dbname_nomime", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-106)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1)

#define yytable_value_is_error(Yyn) \
  0

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     -25,    26,    25,    62,  -106,  -106,    27,     5,  -106,     6,
      11,    12,    20,   221,   220,   192,  -106,    83,   138,  -106,
    -106,  -106,  -106,  -106,   220,    28,    33,  -106,   221,   220,
    -106,    34,    38,    39,    42,    52,    53,    23,    78,    79,
      80,    75,    77,    86,    87,    88,    96,  -106,    92,   116,
     117,  -106,  -106,   102,   157,   158,   160,   163,  -106,   140,
     141,   145,   146,    90,  -106,    37,    85,   170,   171,    33,
     149,   150,   220,    33,  -106,  -106,  -106,  -106,  -106,  -106,
    -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,   154,  -106,
    -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,
    -106,  -106,  -106,  -106,  -106,   176,    72,   190,    58,  -106,
     156,    33,  -106,   172,   173,   179,   180,   183,   185,   186,
     193,   194,  -106,   200,   205,  -106,   136,  -106,  -106,  -106,
    -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,
    -106,   206,   210,  -106,  -106,  -106,  -106,  -106,  -106,   207,
     208,   151,  -106,  -106,  -106,  -106,  -106,  -106,  -106,   209,
     217,    16,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,
    -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,
    -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,  -106,
    -106,  -106,  -106,  -106,  -106,  -106
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int8 yydefact[] =
{
      10,     0,     0,     0,    12,     1,     0,     0,    62,     0,
       0,     0,     0,     0,     2,     0,    43,     0,     0,    54,
      47,    56,    58,    60,     3,     0,     4,    44,     0,     6,
      11,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    36,     0,     0,
       0,    40,    41,     0,     0,     0,     0,     0,    13,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,     5,
       0,     0,     7,     8,    15,    16,    17,    18,    32,    31,
      19,    14,    20,    21,    27,    28,    29,    30,     0,    34,
      35,    37,    38,    39,    22,    23,    24,    25,    26,    50,
      51,    53,    52,    42,    46,     0,     0,     0,     0,    48,
       0,     9,    33,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   116,     0,     0,   106,     0,    91,   105,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,     0,     0,    63,    70,    65,    66,    68,    69,     0,
       0,     0,    71,    90,    83,    84,    87,    88,    89,     0,
       0,     0,    73,    82,    75,    76,    79,    80,    81,    77,
      78,    49,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   117,   118,    55,    92,    67,    57,    64,    86,    85,
      59,    72,   119,   120,    61,    74
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int8 yypgoto[] =
{
    -106,  -106,  -106,  -106,  -106,    21,    14,  -106,  -106,    -1,
     115,   -14,  -106,  -106,  -106,  -106,  -106,    43,  -106,  -106,
      36,    66,  -106,   111,  -105,  -106,  -106,  -106,  -106,  -106,
    -106,  -106,  -102,   -99,   -94,   -88,   -91,  -106,  -106
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_uint8 yydefgoto[] =
{
       0,     2,     3,    17,    58,   125,    14,    63,    15,    26,
      64,    16,    65,    66,    67,    68,   142,   143,   151,   161,
     162,   152,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   169,   170
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_uint8 yytable[] =
{
      27,   144,   153,   163,   145,   154,   164,   146,   155,   165,
      27,     1,   147,   156,   166,    27,   158,   168,   148,   157,
     167,   194,     6,    69,    13,     5,    80,    24,    73,    29,
       4,    18,    19,    20,   120,   121,    28,   144,    21,    22,
     145,   105,    72,   146,   122,   123,   153,    23,   147,   154,
      81,   124,   155,    71,   148,    70,   163,   156,    27,   164,
     158,    74,   165,   157,     6,    75,    76,   166,     6,    77,
     168,   111,     7,   167,   159,   160,   120,   121,     6,    78,
      79,    82,    83,    84,     8,     9,   122,   123,    30,   106,
     120,   121,    10,   124,    11,   103,    12,    59,    60,    90,
     122,   123,    85,   141,    86,    94,    31,    32,    33,    34,
      61,    62,    35,    87,    88,    89,   159,   160,    36,    91,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,   183,     6,    92,    93,    59,    60,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   190,     6,    61,    62,
      95,    96,   149,    97,   122,   123,    98,    99,   100,   120,
     121,   124,   101,   102,   107,   108,   109,   110,   104,   122,
     123,   112,     6,   171,   150,   187,   124,   113,   114,   115,
     116,   117,   118,   119,   120,   121,     6,   195,     6,   172,
     173,   149,     7,     0,   122,   123,   174,   175,   120,   121,
     176,   124,   177,   178,     8,   186,     6,   191,   122,   123,
     179,   180,    10,   150,    11,   124,    12,   181,   120,   121,
       7,     7,   182,   185,   188,   189,   192,   184,   122,   123,
      25,   141,     8,     8,   193,     0,     0,     0,     0,     0,
      10,    10,    11,    11,    12,    12
};

static const yytype_int16 yycheck[] =
{
      14,   106,   107,   108,   106,   107,   108,   106,   107,   108,
      24,    36,   106,   107,   108,    29,   107,   108,   106,   107,
     108,     5,     6,    24,     3,     0,     3,    13,    29,    15,
       4,     4,    27,    27,    18,    19,    15,   142,    27,    27,
     142,     4,    28,   142,    28,    29,   151,    27,   142,   151,
      27,    35,   151,    20,   142,    27,   161,   151,    72,   161,
     151,    27,   161,   151,     6,    27,    27,   161,     6,    27,
     161,    72,    10,   161,    58,    59,    18,    19,     6,    27,
      27,     3,     3,     3,    22,    23,    28,    29,     5,     4,
      18,    19,    30,    35,    32,     5,    34,     7,     8,     3,
      28,    29,    27,    31,    27,     3,    23,    24,    25,    26,
      20,    21,    29,    27,    27,    27,    58,    59,    35,    27,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,     5,     6,    27,    27,     7,     8,    11,    12,    13,
      14,    15,    16,    17,    18,    19,     5,     6,    20,    21,
       3,     3,    11,     3,    28,    29,     3,    27,    27,    18,
      19,    35,    27,    27,     4,     4,    27,    27,    63,    28,
      29,    27,     6,    27,    33,   142,    35,    11,    12,    13,
      14,    15,    16,    17,    18,    19,     6,   161,     6,    27,
      27,    11,    10,    -1,    28,    29,    27,    27,    18,    19,
      27,    35,    27,    27,    22,     5,     6,   151,    28,    29,
      27,    27,    30,    33,    32,    35,    34,    27,    18,    19,
      10,    10,    27,    27,    27,    27,    27,   126,    28,    29,
      20,    31,    22,    22,    27,    -1,    -1,    -1,    -1,    -1,
      30,    30,    32,    32,    34,    34
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int8 yystos[] =
{
       0,    36,    61,    62,     4,     0,     6,    10,    22,    23,
      30,    32,    34,    65,    66,    68,    71,    63,     4,    27,
      27,    27,    27,    27,    66,    20,    69,    71,    65,    66,
       5,    23,    24,    25,    26,    29,    35,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    64,     7,
       8,    20,    21,    67,    70,    72,    73,    74,    75,    69,
      27,    20,    66,    69,    27,    27,    27,    27,    27,    27,
       3,    27,     3,     3,     3,    27,    27,    27,    27,    27,
       3,    27,    27,    27,     3,     3,     3,     3,     3,    27,
      27,    27,    27,     5,    70,     4,     4,     4,     4,    27,
      27,    69,    27,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    28,    29,    35,    65,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    31,    76,    77,    84,    92,    93,    94,    95,    11,
      33,    78,    81,    84,    92,    93,    94,    95,    96,    58,
      59,    79,    80,    84,    92,    93,    94,    95,    96,    97,
      98,    27,    27,    27,    27,    27,    27,    27,    27,    27,
      27,    27,    27,     5,    83,    27,     5,    77,    27,    27,
       5,    81,    27,    27,     5,    80
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr1[] =
{
       0,    60,    61,    61,    61,    61,    61,    61,    61,    61,
      62,    62,    63,    63,    64,    64,    64,    64,    64,    64,
      64,    64,    64,    64,    64,    64,    64,    64,    64,    64,
      64,    64,    64,    64,    64,    64,    64,    64,    64,    64,
      64,    64,    65,    66,    66,    67,    67,    68,    69,    69,
      70,    70,    70,    70,    72,    71,    73,    71,    74,    71,
      75,    71,    71,    76,    76,    77,    77,    77,    77,    77,
      77,    78,    78,    79,    79,    80,    80,    80,    80,    80,
      80,    80,    80,    81,    81,    81,    81,    81,    81,    81,
      81,    82,    82,    83,    83,    83,    83,    83,    83,    83,
      83,    83,    83,    83,    83,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     2,     3,     3,     4,     3,     4,     4,     5,
       0,     4,     0,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     3,     2,     2,     1,     2,     2,     2,
       1,     1,     4,     1,     2,     1,     2,     2,     3,     4,
       2,     2,     2,     2,     0,     6,     0,     6,     0,     6,
       0,     6,     1,     1,     2,     1,     1,     2,     1,     1,
       1,     1,     2,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     2,     2,     1,     1,     1,
       1,     1,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     2,     2,
       2
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif






/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;



#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
  case 2: /* Program: Global DatabaseList  */
#line 118 "servparse.y"
          { DictConfig = xmalloc(sizeof(struct dictConfig));
	    memset( DictConfig, 0, sizeof(struct dictConfig) );
	    DictConfig->dbl = (yyvsp[0].list);
	  }
#line 1525 "y.tab.c"
    break;

  case 3: /* Program: Global Access DatabaseList  */
#line 123 "servparse.y"
          { DictConfig = xmalloc(sizeof(struct dictConfig));
	    memset( DictConfig, 0, sizeof(struct dictConfig) );
	    DictConfig->acl = (yyvsp[-1].list);
	    DictConfig->dbl = (yyvsp[0].list);
	  }
#line 1535 "y.tab.c"
    break;

  case 4: /* Program: Global DatabaseList UserList  */
#line 129 "servparse.y"
          { DictConfig = xmalloc(sizeof(struct dictConfig));
	    memset( DictConfig, 0, sizeof(struct dictConfig) );
	    DictConfig->dbl = (yyvsp[-1].list);
	    DictConfig->usl = (yyvsp[0].hash);
	  }
#line 1545 "y.tab.c"
    break;

  case 5: /* Program: Global Access DatabaseList UserList  */
#line 135 "servparse.y"
          { DictConfig = xmalloc(sizeof(struct dictConfig));
	    memset( DictConfig, 0, sizeof(struct dictConfig) );
	    DictConfig->acl = (yyvsp[-2].list);
	    DictConfig->dbl = (yyvsp[-1].list);
	    DictConfig->usl = (yyvsp[0].hash);
	  }
#line 1556 "y.tab.c"
    break;

  case 6: /* Program: Global Site DatabaseList  */
#line 142 "servparse.y"
          { DictConfig = xmalloc(sizeof(struct dictConfig));
	    memset( DictConfig, 0, sizeof(struct dictConfig) );
	    site_info        = (yyvsp[-1].token).string;
	    DictConfig->dbl  = (yyvsp[0].list);
	  }
#line 1566 "y.tab.c"
    break;

  case 7: /* Program: Global Site Access DatabaseList  */
#line 148 "servparse.y"
          { DictConfig = xmalloc(sizeof(struct dictConfig));
	    memset( DictConfig, 0, sizeof(struct dictConfig) );
	    site_info        = (yyvsp[-2].token).string;
	    DictConfig->acl  = (yyvsp[-1].list);
	    DictConfig->dbl  = (yyvsp[0].list);
	  }
#line 1577 "y.tab.c"
    break;

  case 8: /* Program: Global Site DatabaseList UserList  */
#line 155 "servparse.y"
          { DictConfig = xmalloc(sizeof(struct dictConfig));
	    memset( DictConfig, 0, sizeof(struct dictConfig) );
	    site_info        = (yyvsp[-2].token).string;
	    DictConfig->dbl  = (yyvsp[-1].list);
	    DictConfig->usl  = (yyvsp[0].hash);
	  }
#line 1588 "y.tab.c"
    break;

  case 9: /* Program: Global Site Access DatabaseList UserList  */
#line 162 "servparse.y"
          { DictConfig = xmalloc(sizeof(struct dictConfig));
	    memset( DictConfig, 0, sizeof(struct dictConfig) );
	    site_info        = (yyvsp[-3].token).string;
	    DictConfig->acl  = (yyvsp[-2].list);
	    DictConfig->dbl  = (yyvsp[-1].list);
	    DictConfig->usl  = (yyvsp[0].hash);
	  }
#line 1600 "y.tab.c"
    break;

  case 10: /* Global: %empty  */
#line 172 "servparse.y"
         {}
#line 1606 "y.tab.c"
    break;

  case 11: /* Global: TOKEN_GLOBAL '{' GlobalSpecList '}'  */
#line 173 "servparse.y"
                                             {}
#line 1612 "y.tab.c"
    break;

  case 14: /* GlobalSpec: TOKEN_PORT TOKEN_STRING  */
#line 181 "servparse.y"
     {
	if (!daemon_service_set)
	   daemon_service = str_copy((yyvsp[0].token).string);
     }
#line 1621 "y.tab.c"
    break;

  case 15: /* GlobalSpec: TOKEN_SITE TOKEN_STRING  */
#line 186 "servparse.y"
     {
	if (site_info){
	   /* site is specified twice */
	   xfree ((void *) site_info);
	}

	site_info = (yyvsp[0].token).string;
     }
#line 1634 "y.tab.c"
    break;

  case 16: /* GlobalSpec: TOKEN_SITE_NO_BANNER TOKEN_STRING  */
#line 195 "servparse.y"
     {
	site_info_no_banner = string2bool ((yyvsp[0].token).string);
	fprintf (stderr, "site_info_no_banner=%d\n", site_info_no_banner);
     }
#line 1643 "y.tab.c"
    break;

  case 17: /* GlobalSpec: TOKEN_SITE_NO_UPTIME TOKEN_STRING  */
#line 200 "servparse.y"
     {
	site_info_no_uptime = string2bool ((yyvsp[0].token).string);
     }
#line 1651 "y.tab.c"
    break;

  case 18: /* GlobalSpec: TOKEN_SITE_NO_DBLIST TOKEN_STRING  */
#line 204 "servparse.y"
     {
	site_info_no_dblist = string2bool ((yyvsp[0].token).string);
     }
#line 1659 "y.tab.c"
    break;

  case 19: /* GlobalSpec: TOKEN_PORT TOKEN_NUMBER  */
#line 208 "servparse.y"
     {
	if (!daemon_service_set){
	   char number [40] = "";
	   snprintf (number, sizeof (number), "%d", (yyvsp[0].token.integer));
	   daemon_service = str_copy (number);
	}
     }
#line 1671 "y.tab.c"
    break;

  case 20: /* GlobalSpec: TOKEN_DELAY TOKEN_NUMBER  */
#line 216 "servparse.y"
     {
	if (!client_delay_set)
	   client_delay = (yyvsp[0].token.integer);

	_dict_daemon_limit_time = 0;
     }
#line 1682 "y.tab.c"
    break;

  case 21: /* GlobalSpec: TOKEN_DEPTH TOKEN_NUMBER  */
#line 223 "servparse.y"
     {
	if (!depth_set)
	   depth = (yyvsp[0].token.integer);
     }
#line 1691 "y.tab.c"
    break;

  case 22: /* GlobalSpec: TOKEN_LIMIT_CHILDS TOKEN_NUMBER  */
#line 228 "servparse.y"
     {
	if (!_dict_daemon_limit_childs_set)
	   _dict_daemon_limit_childs = (yyvsp[0].token.integer);
     }
#line 1700 "y.tab.c"
    break;

  case 23: /* GlobalSpec: TOKEN_LIMIT_MATCHES TOKEN_NUMBER  */
#line 233 "servparse.y"
     {
	_dict_daemon_limit_matches = (yyvsp[0].token.integer);
     }
#line 1708 "y.tab.c"
    break;

  case 24: /* GlobalSpec: TOKEN_LIMIT_DEFS TOKEN_NUMBER  */
#line 237 "servparse.y"
     {
	_dict_daemon_limit_defs = (yyvsp[0].token.integer);
     }
#line 1716 "y.tab.c"
    break;

  case 25: /* GlobalSpec: TOKEN_LIMIT_TIME TOKEN_NUMBER  */
#line 241 "servparse.y"
     {
	_dict_daemon_limit_time = (yyvsp[0].token.integer);
	client_delay            = 0;
     }
#line 1725 "y.tab.c"
    break;

  case 26: /* GlobalSpec: TOKEN_LIMIT_QUERIES TOKEN_NUMBER  */
#line 246 "servparse.y"
     {
	_dict_daemon_limit_queries = (yyvsp[0].token.integer);
     }
#line 1733 "y.tab.c"
    break;

  case 27: /* GlobalSpec: TOKEN_TIMESTAMP TOKEN_NUMBER  */
#line 250 "servparse.y"
     {
	if (!_dict_markTime_set)
	   _dict_markTime = 60*(yyvsp[0].token.integer);
     }
#line 1742 "y.tab.c"
    break;

  case 28: /* GlobalSpec: TOKEN_LOG_OPTION TOKEN_STRING  */
#line 255 "servparse.y"
     {
	 ++logOptions;
	 flg_set ((yyvsp[0].token).string);
	 if (flg_test (LOG_MIN))
	    set_minimal ();
     }
#line 1753 "y.tab.c"
    break;

  case 29: /* GlobalSpec: TOKEN_DEBUG_OPTION TOKEN_STRING  */
#line 262 "servparse.y"
     {
	dbg_set ((yyvsp[0].token).string);
     }
#line 1761 "y.tab.c"
    break;

  case 30: /* GlobalSpec: TOKEN_LOCALE TOKEN_STRING  */
#line 266 "servparse.y"
     {
	if (!locale_set)
	   locale = str_copy ((yyvsp[0].token).string);
     }
#line 1770 "y.tab.c"
    break;

  case 31: /* GlobalSpec: TOKEN_DEFAULT_STRAT TOKEN_STRING  */
#line 271 "servparse.y"
     {
	if (!default_strategy_set)
	   default_strategy     = lookup_strategy_ex ((yyvsp[0].token).string);
     }
#line 1779 "y.tab.c"
    break;

  case 32: /* GlobalSpec: TOKEN_DISABLE_STRAT TOKEN_STRING  */
#line 276 "servparse.y"
     {
	dict_disable_strategies ((yyvsp[0].token).string);
     }
#line 1787 "y.tab.c"
    break;

  case 33: /* GlobalSpec: TOKEN_ADD_STRAT TOKEN_STRING TOKEN_STRING  */
#line 280 "servparse.y"
     {
	dict_add_strategy ((yyvsp[-1].token).string, (yyvsp[0].token).string);
     }
#line 1795 "y.tab.c"
    break;

  case 34: /* GlobalSpec: TOKEN_LISTEN_TO TOKEN_STRING  */
#line 284 "servparse.y"
     {
	if (!bind_to_set)
	   if ((yyvsp[0].token).string[0] != '*' || (yyvsp[0].token).string[1] != '\0')
	      bind_to = str_copy ((yyvsp[0].token).string);
     }
#line 1805 "y.tab.c"
    break;

  case 35: /* GlobalSpec: TOKEN_ADDRESS_FAMILY TOKEN_NUMBER  */
#line 290 "servparse.y"
     {
	if (!dictd_address_family_set){
	   if ((yyvsp[0].token.integer) == 4)
	      dictd_address_family = AF_INET;
	   else if ((yyvsp[0].token.integer) == 6)
	      dictd_address_family = AF_INET6;
	   else {
	      log_error (NULL, ":E: Incorrect value '%d' for global option 'address_family'\n", (yyvsp[0].token.integer));
	      exit(1);
	   }
	}
     }
#line 1822 "y.tab.c"
    break;

  case 36: /* GlobalSpec: TOKEN_SYSLOG  */
#line 303 "servparse.y"
     {
	++useSyslog;
     }
#line 1830 "y.tab.c"
    break;

  case 37: /* GlobalSpec: TOKEN_SYSLOG_FACILITY TOKEN_STRING  */
#line 307 "servparse.y"
     {
	++useSyslog;
	if (!syslog_facility_set){
	   log_set_facility ((yyvsp[0].token).string);
	}
     }
#line 1841 "y.tab.c"
    break;

  case 38: /* GlobalSpec: TOKEN_LOG_FILE TOKEN_STRING  */
#line 314 "servparse.y"
     {
	if (!logFile_set){
	   logFile     = str_copy ((yyvsp[0].token).string);
	}
     }
#line 1851 "y.tab.c"
    break;

  case 39: /* GlobalSpec: TOKEN_PID_FILE TOKEN_STRING  */
#line 320 "servparse.y"
     {
	if (!pidFile_set){
	   pidFile     = str_copy ((yyvsp[0].token).string);
	}
     }
#line 1861 "y.tab.c"
    break;

  case 40: /* GlobalSpec: TOKEN_FAST_START  */
#line 326 "servparse.y"
     {
	optStart_mode = 0;
     }
#line 1869 "y.tab.c"
    break;

  case 41: /* GlobalSpec: TOKEN_WITHOUT_MMAP  */
#line 330 "servparse.y"
     {
	mmap_mode = 0;
     }
#line 1877 "y.tab.c"
    break;

  case 42: /* Access: TOKEN_ACCESS '{' AccessSpecList '}'  */
#line 335 "servparse.y"
                                             { (yyval.list) = (yyvsp[-1].list); }
#line 1883 "y.tab.c"
    break;

  case 43: /* DatabaseList: Database  */
#line 338 "servparse.y"
                        { (yyval.list) = lst_create(); lst_append((yyval.list), (yyvsp[0].db)); }
#line 1889 "y.tab.c"
    break;

  case 44: /* DatabaseList: DatabaseList Database  */
#line 339 "servparse.y"
                                     { lst_append((yyvsp[-1].list), (yyvsp[0].db)); (yyval.list) = (yyvsp[-1].list); }
#line 1895 "y.tab.c"
    break;

  case 45: /* AccessSpecList: AccessSpec  */
#line 342 "servparse.y"
                            { (yyval.list) = lst_create(); lst_append((yyval.list), (yyvsp[0].access)); }
#line 1901 "y.tab.c"
    break;

  case 46: /* AccessSpecList: AccessSpecList AccessSpec  */
#line 343 "servparse.y"
                                           { lst_append((yyvsp[-1].list), (yyvsp[0].access)); (yyval.list) = (yyvsp[-1].list); }
#line 1907 "y.tab.c"
    break;

  case 47: /* Site: TOKEN_SITE TOKEN_STRING  */
#line 347 "servparse.y"
       {
	  (yyval.token) = (yyvsp[0].token);
	  log_error (NULL, ":E: Move \"site\" directive to section \"global\" of the configuration file!\n");
       }
#line 1916 "y.tab.c"
    break;

  case 48: /* UserList: TOKEN_USER TOKEN_STRING TOKEN_STRING  */
#line 354 "servparse.y"
           { (yyval.hash) = hsh_create(NULL,NULL);
	     hsh_insert( (yyval.hash), (yyvsp[-1].token).string, (yyvsp[0].token).string );
	   }
#line 1924 "y.tab.c"
    break;

  case 49: /* UserList: UserList TOKEN_USER TOKEN_STRING TOKEN_STRING  */
#line 358 "servparse.y"
           { hsh_insert( (yyvsp[-3].hash), (yyvsp[-1].token).string, (yyvsp[0].token).string ); (yyval.hash) = (yyvsp[-3].hash); }
#line 1930 "y.tab.c"
    break;

  case 50: /* AccessSpec: TOKEN_ALLOW TOKEN_STRING  */
#line 362 "servparse.y"
             {
		dictAccess *a = xmalloc(sizeof(struct dictAccess));
		a->type = DICT_ALLOW;
		a->spec = (yyvsp[0].token).string;
		(yyval.access) = a;
	     }
#line 1941 "y.tab.c"
    break;

  case 51: /* AccessSpec: TOKEN_DENY TOKEN_STRING  */
#line 369 "servparse.y"
             {
		dictAccess *a = xmalloc(sizeof(struct dictAccess));
		a->type = DICT_DENY;
		a->spec = (yyvsp[0].token).string;
		(yyval.access) = a;
	     }
#line 1952 "y.tab.c"
    break;

  case 52: /* AccessSpec: TOKEN_AUTHONLY TOKEN_STRING  */
#line 376 "servparse.y"
             {
		dictAccess *a = xmalloc(sizeof(struct dictAccess));
		a->type = DICT_AUTHONLY;
		a->spec = (yyvsp[0].token).string;
		(yyval.access) = a;
	     }
#line 1963 "y.tab.c"
    break;

  case 53: /* AccessSpec: TOKEN_USER TOKEN_STRING  */
#line 383 "servparse.y"
             {
		dictAccess *a = xmalloc(sizeof(struct dictAccess));
		a->type = DICT_USER;
		a->spec = (yyvsp[0].token).string;
		(yyval.access) = a;
	     }
#line 1974 "y.tab.c"
    break;

  case 54: /* $@1: %empty  */
#line 392 "servparse.y"
           {
	      db = xmalloc(sizeof(struct dictDatabase));
	      memset( db, 0, sizeof(struct dictDatabase));
	      db->databaseName = (yyvsp[0].token).string;
	      db->normal_db    = 1;
	   }
#line 1985 "y.tab.c"
    break;

  case 55: /* Database: TOKEN_DATABASE TOKEN_STRING $@1 '{' SpecList '}'  */
#line 398 "servparse.y"
                            { (yyval.db) = db; }
#line 1991 "y.tab.c"
    break;

  case 56: /* $@2: %empty  */
#line 401 "servparse.y"
           {
	      db = xmalloc(sizeof(struct dictDatabase));
	      memset( db, 0, sizeof(struct dictDatabase));
	      db->databaseName = (yyvsp[0].token).string;
	      db->virtual_db   = 1;
	   }
#line 2002 "y.tab.c"
    break;

  case 57: /* Database: TOKEN_DATABASE_VIRTUAL TOKEN_STRING $@2 '{' SpecList_virtual '}'  */
#line 407 "servparse.y"
                                    { (yyval.db) = db; }
#line 2008 "y.tab.c"
    break;

  case 58: /* $@3: %empty  */
#line 410 "servparse.y"
           {
	      db = xmalloc(sizeof(struct dictDatabase));
	      memset( db, 0, sizeof(struct dictDatabase));
	      db->databaseName = (yyvsp[0].token).string;
	      db->plugin_db    = 1;
	   }
#line 2019 "y.tab.c"
    break;

  case 59: /* Database: TOKEN_DATABASE_PLUGIN TOKEN_STRING $@3 '{' SpecList_plugin '}'  */
#line 416 "servparse.y"
                                   { (yyval.db) = db; }
#line 2025 "y.tab.c"
    break;

  case 60: /* $@4: %empty  */
#line 419 "servparse.y"
           {
	      db = xmalloc (sizeof (struct dictDatabase));
	      memset (db, 0, sizeof (struct dictDatabase));
	      db->databaseName = (yyvsp[0].token).string;
	      db->mime_db      = 1;
	   }
#line 2036 "y.tab.c"
    break;

  case 61: /* Database: TOKEN_DATABASE_MIME TOKEN_STRING $@4 '{' SpecList_mime '}'  */
#line 425 "servparse.y"
                                 { (yyval.db) = db; }
#line 2042 "y.tab.c"
    break;

  case 62: /* Database: TOKEN_DATABASE_EXIT  */
#line 428 "servparse.y"
           {
	      db = xmalloc(sizeof(struct dictDatabase));
	      memset( db, 0, sizeof(struct dictDatabase));
	      db -> databaseName  = strdup("--exit--");
	      db -> databaseShort = strdup("Stop default search here.");
	      db -> exit_db       = 1;
	      (yyval.db) = db;
	   }
#line 2055 "y.tab.c"
    break;

  case 67: /* Spec_virtual: TOKEN_DATABASE_LIST TOKEN_STRING  */
#line 444 "servparse.y"
                                             { SET(database_list,(yyvsp[-1].token),(yyvsp[0].token));}
#line 2061 "y.tab.c"
    break;

  case 85: /* Spec_plugin: TOKEN_PLUGIN TOKEN_STRING  */
#line 470 "servparse.y"
                                      { SET(pluginFilename,(yyvsp[-1].token),(yyvsp[0].token));}
#line 2067 "y.tab.c"
    break;

  case 86: /* Spec_plugin: TOKEN_DATA TOKEN_STRING  */
#line 471 "servparse.y"
                                      { SET(plugin_data,(yyvsp[-1].token),(yyvsp[0].token));}
#line 2073 "y.tab.c"
    break;

  case 106: /* Spec__access: Access  */
#line 498 "servparse.y"
     {  db->acl = (yyvsp[0].list);  }
#line 2079 "y.tab.c"
    break;

  case 107: /* Spec__data: TOKEN_DATA TOKEN_STRING  */
#line 501 "servparse.y"
     {	SET(dataFilename,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2085 "y.tab.c"
    break;

  case 108: /* Spec__index: TOKEN_INDEX TOKEN_STRING  */
#line 504 "servparse.y"
     {  SET(indexFilename,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2091 "y.tab.c"
    break;

  case 109: /* Spec__index_suffix: TOKEN_INDEX_SUFFIX TOKEN_STRING  */
#line 507 "servparse.y"
     {  SET(indexsuffixFilename,(yyvsp[-1].token),(yyvsp[0].token)); }
#line 2097 "y.tab.c"
    break;

  case 110: /* Spec__index_word: TOKEN_INDEX_WORD TOKEN_STRING  */
#line 510 "servparse.y"
     {  SET(indexwordFilename,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2103 "y.tab.c"
    break;

  case 111: /* Spec__filter: TOKEN_FILTER TOKEN_STRING  */
#line 513 "servparse.y"
     {  SET(filter,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2109 "y.tab.c"
    break;

  case 112: /* Spec__prefilter: TOKEN_PREFILTER TOKEN_STRING  */
#line 516 "servparse.y"
     {  SET(prefilter,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2115 "y.tab.c"
    break;

  case 113: /* Spec__postfilter: TOKEN_POSTFILTER TOKEN_STRING  */
#line 519 "servparse.y"
     {  SET(postfilter,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2121 "y.tab.c"
    break;

  case 114: /* Spec__name: TOKEN_NAME TOKEN_STRING  */
#line 522 "servparse.y"
     {  SET(databaseShort,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2127 "y.tab.c"
    break;

  case 115: /* Spec__info: TOKEN_INFO TOKEN_STRING  */
#line 525 "servparse.y"
     {  SET(databaseInfo,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2133 "y.tab.c"
    break;

  case 116: /* Spec__invisible: TOKEN_INVISIBLE  */
#line 528 "servparse.y"
     {  db->invisible = 1;  }
#line 2139 "y.tab.c"
    break;

  case 117: /* Spec__disable_strat: TOKEN_DISABLE_STRAT TOKEN_STRING  */
#line 531 "servparse.y"
     {  dict_disable_strat (db, (yyvsp[0].token).string);  }
#line 2145 "y.tab.c"
    break;

  case 118: /* Spec__default_strat: TOKEN_DEFAULT_STRAT TOKEN_STRING  */
#line 534 "servparse.y"
     {  db -> default_strategy = lookup_strategy_ex ((yyvsp[0].token).string);  }
#line 2151 "y.tab.c"
    break;

  case 119: /* Spec__dbname_mime: TOKEN_MIME_DBNAME TOKEN_STRING  */
#line 537 "servparse.y"
     {  SET(mime_mimeDbname,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2157 "y.tab.c"
    break;

  case 120: /* Spec__dbname_nomime: TOKEN_NOMIME_DBNAME TOKEN_STRING  */
#line 540 "servparse.y"
     {  SET(mime_nomimeDbname,(yyvsp[-1].token),(yyvsp[0].token));  }
#line 2163 "y.tab.c"
    break;


#line 2167 "y.tab.c"

      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      yyerror (YY_("syntax error"));
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif

  return yyresult;
}

